Bug 825793 - iptraf-ng do not logs and not work in background
iptraf-ng do not logs and not work in background
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: iptraf-ng (Show other bugs)
19
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Nikola Pajkovsky
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-28 09:09 EDT by Frantisek Hanzlik
Modified: 2014-02-02 17:16 EST (History)
2 users (show)

See Also:
Fixed In Version: iptraf-ng-1.1.4-1.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 23:34:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frantisek Hanzlik 2012-05-28 09:09:12 EDT
Description of problem:
1) command (started as root):
iptraf-ng -i eth0 -t 1 -L /tmp/iptraf-eth0
does not create log file "/tmp/iptraf-eth0"

2) command (started as root):
iptraf-ng -B -i eth0 -t 1 -L /tmp/iptraf-eth0
did not switch to background and still write to tty (but in place of straight lines are now weird characters) and does not create log file "/tmp/iptraf-eth0"

3) only my wish: there should be commandline switch for not erasing screen after iptraf-ng exit.

Version-Release number of selected component (if applicable):
iptraf-ng-1.1.3.1-2.fc16.i686 and iptraf-ng-1.1.3.1-2.fc16.i686 (from koji)
Comment 1 Nikola Pajkovsky 2012-06-05 06:42:27 EDT
commit afebd376c0658bcd6c4e3fcf9c3d68fdf94045c1
Author: Vitezslav Samel <vitezslav@samel.cz>
Date:   Tue Jun 5 12:17:28 2012 +0200

    iptraf.c: main(): fix command line checks
    
    https://bugzilla.redhat.com/show_bug.cgi?id=825793
    
    Reported-by: Frantisek Hanzlik <franta@hanzlici.cz>
    Signed-off-by: Vitezslav Samel <vitezslav@samel.cz>
    Signed-off-by: Nikola Pajkovsky <npajkovs@redhat.com>
Comment 2 Fedora End Of Life 2013-02-13 21:07:33 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 3 Nikola Pajkovsky 2013-02-13 21:58:03 EST
does it work?
Comment 4 Fedora End Of Life 2013-04-03 15:35:33 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 5 Fedora Update System 2013-07-23 11:26:28 EDT
iptraf-ng-1.1.4-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/iptraf-ng-1.1.4-1.fc19
Comment 6 Fedora Update System 2013-07-23 11:26:54 EDT
iptraf-ng-1.1.4-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/iptraf-ng-1.1.4-1.el6
Comment 7 Fedora Update System 2013-07-23 11:27:23 EDT
iptraf-ng-1.1.4-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/iptraf-ng-1.1.4-1.el5
Comment 8 Fedora Update System 2013-07-23 11:28:00 EDT
iptraf-ng-1.1.4-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/iptraf-ng-1.1.4-1.fc18
Comment 9 Fedora Update System 2013-07-23 15:40:14 EDT
Package iptraf-ng-1.1.4-1.el5:
* should fix your issue,
* was pushed to the Fedora EPEL 5 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing iptraf-ng-1.1.4-1.el5'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-10955/iptraf-ng-1.1.4-1.el5
then log in and leave karma (feedback).
Comment 10 Fedora Update System 2013-08-01 23:34:08 EDT
iptraf-ng-1.1.4-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2013-08-01 23:35:47 EDT
iptraf-ng-1.1.4-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2013-09-02 08:03:58 EDT
iptraf-ng-1.1.4-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/iptraf-ng-1.1.4-2.fc18
Comment 13 Fedora Update System 2013-09-02 08:04:40 EDT
iptraf-ng-1.1.4-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/iptraf-ng-1.1.4-2.fc19
Comment 14 Fedora Update System 2013-09-02 08:05:16 EDT
iptraf-ng-1.1.4-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/iptraf-ng-1.1.4-2.el5
Comment 15 Fedora Update System 2013-09-02 08:05:49 EDT
iptraf-ng-1.1.4-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/iptraf-ng-1.1.4-2.el6
Comment 16 Fedora Update System 2013-09-10 21:50:53 EDT
iptraf-ng-1.1.4-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2013-09-10 21:53:16 EDT
iptraf-ng-1.1.4-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2013-09-17 13:26:25 EDT
iptraf-ng-1.1.4-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2013-09-17 13:27:02 EDT
iptraf-ng-1.1.4-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.